Nuclom logoNuclom
Collections

Update collection

Update collection metadata

PATCH
/collections/{id}

Update collection metadata

Authorization

bearerAuth
headerAuthorizationBearer <token>

Authentication token from login or API key

Path Parameters

id*string

Id ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid

Request Body

Update collection data

application/json
  1. body
name?string|null
description?string|null|null
thumbnailUrl?string|null|null
isPublic?boolean|null
[key: string]?any

Response Body

Updated collection

application/json
  1. response
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid
name*string
description*string|null
thumbnailUrl*string|null
organizationId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid
type*string
Value in"folder""playlist"
isPublic*boolean
videoCount*number|
createdAt*string
updatedAt*string
[key: string]?any
curl -X PATCH 'https://nuclom.com/api/collections/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "description": "string",  "thumbnailUrl": "string",  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",  "type": "folder",  "isPublic": true,  "videoCount": 0,  "createdAt": "string",  "updatedAt": "string"}